<?php
/**
 * Advance Portfolio: Block Patterns
 *
 * @package  Advance Portfolio
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'advance-portfolio',
		array( 'label' => __( ' Advance Portfolio', 'advance-portfolio' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'advance-portfolio/banner-section',
		array(
			'title'      => __( 'Banner Section', 'advance-portfolio' ),
			'categories' => array( 'advance-portfolio' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":1380,\"dimRatio\":40,\"overlayColor\":\"white\",\"minHeight\":600,\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light banner-section\" style=\"min-height:600px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-white-background-color has-background-dim-40 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-1380\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"6%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:6%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"38%\",\"className\":\"banner-section-content\"} -->\n<div class=\"wp-block-column banner-section-content\" style=\"flex-basis:38%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h1 style=\"font-size:40px\">Lorem ipsum elit, dolor sit amet</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p style=\"font-size:15px\">Lorem ipsum dolor sit amet consectetur adipiscin</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"className\":\"is-style-logos-only social-icons\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\"}} -->\n<ul class=\"wp-block-social-links has-icon-color is-style-logos-only social-icons\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"behance\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"7.3%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:7.3%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'advance-portfolio/gallery-section',
		array(
			'title'      => __( 'Gallery Section', 'advance-portfolio' ),
			'categories' => array( 'advance-portfolio' ),
			'content'    => "<!-- wp:group {\"className\":\"service-section mt-md-4 mt-lg-5\"} -->\n<div class=\"wp-block-group service-section mt-md-4 mt-lg-5\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"32px\"}},\"className\":\"mb-md-3\"} -->\n<h2 class=\"has-text-align-center mb-md-3\" style=\"font-size:32px\">Lorem ipsum</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"section-box\"} -->\n<div class=\"wp-block-column section-box\"><!-- wp:columns {\"className\":\"port-box-1 mb-0\"} -->\n<div class=\"wp-block-columns port-box-1 mb-0\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":1398,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image1.png\" alt=\"\" class=\"wp-image-1398\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":1399,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image2.png\" alt=\"\" class=\"wp-image-1399\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"port-box-3\"} -->\n<div class=\"wp-block-column port-box-3\"><!-- wp:image {\"id\":1400,\"width\":411,\"height\":112,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image3.png\" alt=\"\" class=\"wp-image-1400\" width=\"411\" height=\"112\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"port-box-2\"} -->\n<div class=\"wp-block-column port-box-2\"><!-- wp:image {\"id\":1401,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image4.png\" alt=\"\" class=\"wp-image-1401\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}